Package org.eclipse.cdt.core.settings.model

## Interface ICMultiResourceDescription

All Superinterfaces:
  `ICMultiItemsHolder`, `ICResourceDescription`, `ICSettingBase`, `ICSettingContainer`, `ICSettingObject`

    public interface ICMultiResourceDescription
    extends ICResourceDescription, ICMultiItemsHolder

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICMultiItemsHolder

`EMPTY_STR`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setSettingEntries​(ICLanguageSetting lang, int kind, List<ICLanguageSettingEntry> incs, boolean toAll)`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICMultiItemsHolder

`getItems`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICResourceDescription

`canExclude, getParentFolderDescription, getPath, isExcluded, setExcluded, setPath`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingContainer

`getChildSettings`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingObject

`getConfiguration, getId, getName, getParent, getType, isReadOnly, isValid`

### Method Detail

#### setSettingEntries

    void setSettingEntries​(ICLanguageSetting lang,
                           int kind,
                           List<ICLanguageSettingEntry> incs,
                           boolean toAll)